<?php
/**
* Category Template
*
* @package Rank SEO 1.0.0
* @subpackage Rank SEO 1.0.0
* @since Rank SEO 1.0.0
*/

get_header();
?>
<main class="main-content site-wrapper-reveal bgcolor-gray">
    <section class="page-title-area bgcolor-gray-silver pt-0 pb-0">
      <div class="container">
        <div class="row">
          <div class="col-lg-12">
            <div class="page-title-content page-content-style2">
              <?php
                if ( function_exists('yoast_breadcrumb') ) {
                  yoast_breadcrumb( '<div class="bread-crumbs">','</div>' );
                }
              ?>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="blog-sidebar pt-90">
      <div class="container pb-120 pb-md-100">
        <div class="row">
          <div class="col-lg-12">

            <div class="blog-sidebar-content sidebar-content-style post-noshadow">

              <div class="row">
                <?php
                $btpgid=get_queried_object_id();
                $btmetanm=get_post_meta( $btpgid, 'WP_Catid','true' );
                $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                $args = array(
                  'post_type'=> 'post',
                  'orderby'    => 'ID',
                  'post_status' => 'publish',
                  'order'    => 'DESC',
                  'posts_per_page' => 5, 
                  'paged' => $paged,
                );
                $result = new WP_Query( $args );
                if ( $result-> have_posts() ) : ?>
                <?php while ( $result->have_posts() ) : $result->the_post(); ?>
                <!--== Start Blog Post Item ==-->
                <div class="col-md-6">
                  <div class="post-item mb-50">
                    <div class="thumb">
                      <a href="<?=get_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
                    </div>
                    <div class="content">
                      <h4 class="title">
                        <a href="<?=get_permalink(); ?>"><?php the_title(); ?> </a>
                      </h4>
                      <p>
                        <?php
                        $excerpt = get_excerpt(100);
                        echo $excerpt;
                        ?>
                      </p>
                      <div class="meta bottom meta-bottom">
                        <div>
                          <?php
                            $catName = '';
                            $cats = get_the_category();
                            if (!empty($cats[0])) {
                              $catName = $cats[0]->name ? $cats[0]->name : '';
                              $category_link = get_category_link( $cats[0]->term_id );
                            }
                          ?>
                          <a class="category" href="<?php echo esc_url( $category_link ); ?>"><img class="icon-img" src="<?=get_template_directory_uri()?>/img/icons/layer.png" alt="Icon"> In <span><?=$catName;?></span></a>
                          <a class="post-date" href="blog.html"><img class="icon-img" src="<?=get_template_directory_uri()?>/img/icons/calender.png" alt="Icon"> <?=get_the_date();?></a>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <!--== End Blog Post Item ==-->
                <?php endwhile; ?>
                <?php endif;
                wp_reset_postdata(); ?>
              </div>

              <div class="row">
                <div class="col-lg-12">
                  <div class="pagination-area text-center pt-130 pt-md-100 pt-sm-70">
                    <nav>
                      <ul class="page-numbers">
                        <li>
                          <?=next_posts_link(__('<i class="arrow_carrot-left"></i>Previous'), $result->max_num_pages );?>
                        </li>
                        <li>
                          <?=previous_posts_link( 'Next<i class="arrow_carrot-right"></i>' );?>
                        </li>
                      </ul>
                    </nav>
                  </div>
                </div>
              </div>
            </div>

            <div class="blog-sidebar-widget sidebar-widget-style">
              <!--== Start Sidebar Wrapper ==-->
              <div class="sidebar-wrapper">
                <!--== Start Sidebar Item ==-->
                <div class="widget-item">
                  <div class="widget-search-box">
                    <form action="#" method="post">
                      <div class="form-input-item">
                        <label for="search" class="sr-only">search</label>
                        <input type="text" id="search" placeholder="Search">
                        <button type="submit" class="btn-src">
                          <i class="lnr lnr-magnifier"></i>
                        </button>
                      </div>
                    </form>
                  </div>
                </div>
                <!--== Start Sidebar Item ==-->

                <!--== Start Sidebar Item ==-->
                <div class="widget-item">
                  <h4 class="widget-title mb-0">Categories</h4>
                  <div class="widget-categories">
                    <ul>
                      <?php 
                        $categories = get_categories( [
                          'taxonomy'     => 'category',
                          'type'         => 'post',
                          'child_of'     => 0,
                          'parent'       => '',
                          'orderby'      => 'name',
                          'order'        => 'ASC',
                          'hide_empty'   => 1,
                          'hierarchical' => 1,
                          'exclude'      => '',
                          'include'      => '',
                          'number'       => 0,
                          'pad_counts'   => false,
                        ] );

                        if( $categories ) {
                          foreach( $categories as $cat ) {
                        ?>
                        <li><a href="<?php echo get_category_link($cat->term_id); ?>"><i class="arrow_triangle-right"></i> <?php echo $cat->name; ?> <span>(<?=$cat->category_count;?>)</span></a></li>
                          </li>
                      <?php
                          }
                        }
                      ?>
                    </ul>
                  </div>
                </div>
                <!--== End Sidebar Item ==-->

                <!--== Start Sidebar Item ==-->
                <div class="widget-item">
                  <h4 class="widget-title mb-0">Recent Posts</h4>
                  <div class="widget-blog-post">
                    <ul>
                      <?php
                      $recent_posts = wp_get_recent_posts(array(
                          'numberposts' => 4,
                          'post_status' => 'publish'
                      ));
                      foreach($recent_posts as $post):
                      ?>
                      <li>
                        <div class="thumb">
                          <?php echo get_the_post_thumbnail($post['ID'], [70,55]); ?>
                        </div>
                        <div class="content">
                          <a href="<?php echo get_permalink($post['ID']) ?>"><?=$post['post_title']?></a>
                        </div>
                      </li>
                      <?php endforeach; ?>
                    </ul>
                  </div>
                </div>
                <!--== End Sidebar Item ==-->

                <!--== Start Sidebar Item ==-->
                <div class="widget-item">
                  <h4 class="widget-title">Popular Tags</h4>
                  <div class="widget-tags">
                    <ul>
                      <?php
                      $tags = get_terms(array(
                          'taxonomy' => 'post_tag',
                          'orderby' => 'count',
                          'order' => 'DESC',
                      ));
                      foreach($tags as $tag):
                      ?>
                      <li><a href="<?=get_tag_link($tag->term_id)?>"><?=$tag->name;?></a></li>
                      <?php endforeach; ?>
                    </ul>
                  </div>
                </div>
                <!--== End Sidebar Item ==-->
              </div>
              <!--== End Sidebar Wrapper ==-->
            </div>

          </div>

        </div>
      </div>
    </section>
    <div class="line-hr"></div>
</main>
<?php
get_footer();
