<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package Rank SEO 1.0.0
 */

?>

  <footer class="footer-area">
    <div class="container">
      <div class="row">
        <div class="col-sm-6 col-lg-4">
          <div class="widget-item mt-0">
            <div class="about-widget">
              <a class="footer-logo" href="<?=get_site_url()?>">
                <img src="<?=get_template_directory_uri()?>/img/logo-footer.png" alt="Logo">
              </a>
              <p>With a search first mentality across digital marketing, our passionate consulting team is hands-on to help conquer anything</p>
              <div class="widget-social-icons">
                <?php
      if ( is_active_sidebar( 'socia-bar-widget' ) ) : ?>
          <div id="social-widget-area" class="chw-widget-area widget-area" role="complementary">
          <?php dynamic_sidebar( 'socia-bar-widget' ); ?>
          </div>
           
      <?php endif; ?>
              </div>
            </div>
          </div>
        </div>
        <div class="col-sm-5 offset-sm-1 col-lg-4 offset-lg-0">
          <div class="widget-item ml-50 ml-md-0">
            <h4 class="widget-title">Quick Links</h4>
            <nav class="widget-menu-wrap">
              <ul class="nav-menu nav justify-content-center">
                <li><a href="<?php get_site_url() ?>">Home</a></li>
                <li><a href="<?php get_site_url() ?>/about-us">About Us</a></li>
                <li><a href="<?php get_site_url() ?>/blogs">Blogs</a></li>
                <li><a href="<?php get_site_url() ?>/contact-us">Contact us</a></li>
              </ul>
            </nav>
          </div>
        </div>
        <div class="col-sm-6 col-lg-4">
          <div class="widget-item">
            <h4 class="widget-title">Contact</h4>
            <ul class="widget-contact-info">
              <li class="info-address">17/301E, Navodaya Road, Kangarappady</li>
              <li class="info-address">Kochi, PIN - 682021</li>
              <li class="info-mail">info@rankandengage.com</li>
              <li class="info-phone">+91-7306124087</li>
            </ul>
          </div>
        </div>
      </div>
    </div>
    <div class="footer-bottom">
      <div class="container">
        <div class="row sm-text-center">
          <div class="col-sm-12 col-md-4 col-lg-4 col-xl-3">
            <div class="widget-copyright">
              <p>© <?=date('Y')?>. All Rights Reserved</p>
            </div>
          </div>
          <div class="col-sm-12 col-md-7 offset-md-1 col-lg-5 offset-lg-3 col-xl-4 offset-xl-5 justify-content-end">
            <nav class="widget-menu-wrap">
              <ul class="nav-menu nav pull-right">
                <li><a href="<?=get_site_url()?>">Privacy Policy</a></li>
              </ul>
            </nav>
          </div>
        </div>
      </div>
    </div>
  </footer>
	
</div>
<?php wp_footer(); ?>

</body>
</html>
