<?php
include('shortcode/recent-posts.php');
include('shortcode/services-posts.php');

function theme_name_scripts() {
    wp_enqueue_style( 'style', get_stylesheet_uri(), array(), filemtime(get_stylesheet_uri()), false );

    wp_enqueue_script('jquery');

    wp_enqueue_script('modernizer', get_template_directory_uri() . '/js/modernizr-3.6.0.min.js', array(), filemtime(get_template_directory() . '/js/modernizr-3.6.0.min.js'), true);
    wp_enqueue_script('popper', get_template_directory_uri() . '/js/popper.min.js', array(), filemtime(get_template_directory() . '/js/popper.min.js'), true);
    wp_enqueue_script('bootstrap', get_template_directory_uri() . '/js/bootstrap.min.js', array(), filemtime(get_template_directory() . '/js/bootstrap.min.js'), true);
    wp_enqueue_script('counter', get_template_directory_uri() . '/js/counterup.min.js', array(), filemtime(get_template_directory() . '/js/counterup.min.js'), true);
    wp_enqueue_script('waypoints', get_template_directory_uri() . '/js/waypoint.min.js', array(), filemtime(get_template_directory() . '/js/waypoint.min.js'), true);
    wp_enqueue_script('jquery-ui', get_template_directory_uri() . '/js/jquery-ui.min.js', array(), filemtime(get_template_directory() . '/js/jquery-ui.min.js'), true);
    wp_enqueue_script('plugins', get_template_directory_uri() . '/js/plugincollection.js', array(), filemtime(get_template_directory() . '/js/plugincollection.js'), true);
    wp_enqueue_script('isotope', get_template_directory_uri() . '/js/isotope.pkgd.min.js', array(), filemtime(get_template_directory() . '/js/isotope.pkgd.min.js'), true);
    wp_enqueue_script('custom', get_template_directory_uri() . '/js/custom.js', array(), filemtime(get_template_directory() . '/js/custom.js'), true);
}
add_action( 'wp_enqueue_scripts', 'theme_name_scripts' );
add_theme_support( 'custom-logo' );
add_theme_support( 'title-tag' );
function register_my_menus(){
	register_nav_menus(
		array(
	      'primary-menu' => __( 'Primary Menu' ),
          'footer-menu' => __( 'Footer Menu' ),
	     )
	   );
}
add_action( 'init', 'register_my_menus' );
add_theme_support( 'post-thumbnails' );
function rank_widgets_init() {
    register_sidebar( array(
        'name'          => 'Top Bar Meta',
        'id'            => 'top-bar-widget',
        'before_widget' => '<div class="chw-widget">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2 class="chw-title">',
        'after_title'   => '</h2>',
    ) );

    register_sidebar( array(
        'name'          => 'Social widget',
        'id'            => 'socia-bar-widget',
        'before_widget' => '<div class="chw-widget">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2 class="chw-title">',
        'after_title'   => '</h2>',
    ) );
}
add_action( 'widgets_init', 'rank_widgets_init' );
//Top bar email and phone widget
class TopBar_Widget extends WP_Widget {
 
    public function __construct() {
        parent::__construct(
            'top_bar_widget',
            'Top Bar Email and Phone',
            [
                'description' => __('A used to update email and phone number of top.', 'text_domain')
            ]
        );
    }
 
    public function widget( $args, $instance ) {
        extract( $args );
        $address = apply_filters( 'widget_title', $instance['address'] );
        $phone = apply_filters( 'widget_phone', $instance['phone'] );
 
        if ( ! empty( $address ) ) {
            echo '<a href="#!"><i class="icon lnr lnr-map-marker"></i> '.$address.'</a>';
        }
        if ( ! empty( $address ) ) {
            echo '<a href="tel:'.$phone.'"><i class="icon lnr lnr-phone-handset"></i> '.$phone.'</a>';
        }
    }
 
    public function form( $instance ) {
        if ( isset( $instance[ 'address' ] ) ) {
            $address = $instance[ 'address' ];
        }
        else {
            $address = __( '', 'text_domain' );
        }
        if ( isset( $instance[ 'phone' ] ) ) {
            $phone = $instance[ 'phone' ];
        }
        else {
            $phone = __( '', 'text_domain' );
        }
        ?>
        <p>
            <label for="<?php echo $this->get_field_name( 'address' ); ?>"><?php _e( 'Address' ); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id( 'address' ); ?>" name="<?php echo $this->get_field_name( 'address' ); ?>" type="text" value="<?php echo esc_attr( $address ); ?>" />
        </p>
        <p>
            <label for="<?php echo $this->get_field_name( 'phone' ); ?>"><?php _e( 'Phone' ); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id( 'phone' ); ?>" name="<?php echo $this->get_field_name( 'phone' ); ?>" type="tel" value="<?php echo esc_attr( $phone ); ?>" />
        </p>
    <?php
    }
 
    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['address'] = ( !empty( $new_instance['address'] ) ) ? strip_tags( $new_instance['address'] ) : '';
        $instance['phone'] = ( !empty( $new_instance['phone'] ) ) ? strip_tags( $new_instance['phone'] ) : '';
 
        return $instance;
    }
}
add_action( 'widgets_init', 'register_top1_widgets' );
 
function register_top1_widgets() {
    register_widget( 'TopBar_Widget' );
}
//Social media widget
class SocialBar extends WP_Widget {
 
    public function __construct() {
        parent::__construct(
            'social_bar',
            'Social Bar Widget',
            [
                'description' => __('This widget is used to show social media links.', 'text_domain')
            ]
        );
    }
 
    public function widget( $args, $instance ) {
        extract( $args );
        $facebook = apply_filters( 'widget_title', $instance['facebook'] );
        $twitter = apply_filters( 'widget_title', $instance['twitter'] );
        $youtube = apply_filters( 'widget_title', $instance['youtube'] );
        $linkedin = apply_filters( 'widget_title', $instance['linkedin'] );
        $instagram = apply_filters( 'widget_phone', $instance['instagram'] );
 
        if ( ! empty( $facebook ) ) echo '<a href="'.$facebook.'"><i class="social social_facebook"></i></a>';
        if ( ! empty( $twitter ) ) echo '<a href="'.$twitter.'"><i class="social social_twitter"></i></a>';
        if ( ! empty( $youtube ) ) echo '<a href="'.$youtube.'"><i class="social social_youtube"></i></a>';
        if ( ! empty( $linkedin ) ) echo '<a href="'.$linkedin.'"><i class="social social_linkedin_square"></i></a>';
        if ( ! empty( $instagram ) ) echo '<a href="'.$instagram.'"><i class="social social_instagram"></i></a>';
    }
 
    public function form( $instance ) {
        $facebook = __( '', 'text_domain' );
        $twitter = __( '', 'text_domain' );
        $youtube = __( '', 'text_domain' );
        $linkedin = __( '', 'text_domain' );
        $instagram = __( '', 'text_domain' );

        if ( isset( $instance[ 'facebook' ] ) ) $facebook = $instance[ 'facebook' ];
        if ( isset( $instance[ 'twitter' ] ) ) $twitter = $instance[ 'twitter' ];
        if ( isset( $instance[ 'youtube' ] ) ) $youtube = $instance[ 'youtube' ];
        if ( isset( $instance[ 'linkedin' ] ) ) $linkedin = $instance[ 'linkedin' ];
        if ( isset( $instance[ 'instagram' ] ) ) $instagram = $instance[ 'instagram' ];
        ?>
        <p>
            <label for="<?php echo $this->get_field_name( 'facebook' ); ?>"><?php _e( 'Facebook' ); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" type="text" value="<?php echo esc_attr( $facebook ); ?>" />
        </p>
        <p>
            <label for="<?php echo $this->get_field_name( 'twitter' ); ?>"><?php _e( 'Twitter' ); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" type="tel" value="<?php echo esc_attr( $twitter ); ?>" />
        </p>
        <p>
            <label for="<?php echo $this->get_field_name( 'youtube' ); ?>"><?php _e( 'Youtube' ); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id( 'youtube' ); ?>" name="<?php echo $this->get_field_name( 'youtube' ); ?>" type="text" value="<?php echo esc_attr( $youtube ); ?>" />
        </p>
        <p>
            <label for="<?php echo $this->get_field_name( 'linkedin' ); ?>"><?php _e( 'LinkedIn' ); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id( 'linkedin' ); ?>" name="<?php echo $this->get_field_name( 'linkedin' ); ?>" type="tel" value="<?php echo esc_attr( $linkedin ); ?>" />
        </p>
        <p>
            <label for="<?php echo $this->get_field_name( 'instagram' ); ?>"><?php _e( 'Instagram' ); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id( 'instagram' ); ?>" name="<?php echo $this->get_field_name( 'instagram' ); ?>" type="tel" value="<?php echo esc_attr( $instagram ); ?>" />
        </p>
    <?php
    }
 
    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['facebook'] = ( !empty( $new_instance['facebook'] ) ) ? strip_tags( $new_instance['facebook'] ) : '';
        $instance['twitter'] = ( !empty( $new_instance['twitter'] ) ) ? strip_tags( $new_instance['twitter'] ) : '';
        $instance['youtube'] = ( !empty( $new_instance['youtube'] ) ) ? strip_tags( $new_instance['youtube'] ) : '';
        $instance['linkedin'] = ( !empty( $new_instance['linkedin'] ) ) ? strip_tags( $new_instance['linkedin'] ) : '';
        $instance['instagram'] = ( !empty( $new_instance['instagram'] ) ) ? strip_tags( $new_instance['instagram'] ) : '';
 
        return $instance;
    }
}
add_action( 'widgets_init', 'register_social_widgets' );
 
function register_social_widgets() {
    register_widget( 'SocialBar' );
}

class Custom_Walker_Nav_Menu extends Walker_Nav_Menu {
  public function start_lvl( &$output, $depth = 0, $args = array() ) {
        $indent = str_repeat( "\t", $depth );
        $output .= "\n$indent<ul role=\"menu\" class=\" submenu-nav\">\n";
    }

    public function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
        $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

        $class_names = $value = '';

        $classes = empty( $item->classes ) ? array() : (array) $item->classes;
        $classes[] = 'menu-item-' . $item->ID;

        /*grab the default wp nav classes*/
        $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item, $args ) );

        /*if the current item has children, append the dropdown class*/
        if ( $args->has_children )
            $class_names .= ' has-submenu';

        /*if there aren't any class names, don't show class attribute*/
        $class_names = $class_names ? ' class="' . esc_attr( $class_names ) . '"' : '';

        $id = apply_filters( 'nav_menu_item_id', 'menu-item-'. $item->ID, $item, $args );
        $id = $id ? ' id="' . esc_attr( $id ) . '"' : '';


        $output .= $indent . '<li' . $id . $value . $class_names .'>';

        $atts = array();
        $atts['title']  = ! empty( $item->title )   ? $item->title  : '';
        $atts['target'] = ! empty( $item->target )  ? $item->target : '';
        $atts['rel']    = ! empty( $item->xfn )     ? $item->xfn    : '';


        /*if the current menu item has children and it's the parent, set the dropdown attributes*/
        if ( $args->has_children && $depth === 0 ) {
            $atts['href']           = '#';
            $atts['data-toggle']    = 'dropdown';
            $atts['class']          = 'dropdown-toggle';
        } else {
            $atts['href'] = ! empty( $item->url ) ? $item->url : '';
        }

        $atts = apply_filters( 'nav_menu_link_attributes', $atts, $item, $args );

        $attributes = '';
        foreach ( $atts as $attr => $value ) {
            if ( ! empty( $value ) ) {
                $value = ( 'href' === $attr ) ? esc_url( $value ) : esc_attr( $value );
                $attributes .= ' ' . $attr . '="' . $value . '"';
            }
        }

        $item_output = $args->before;

        $item_output .= '<a'. $attributes .'>';

        $item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;

        $item_output .= '</a>';
        $item_output .= $args->after;

        $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );

    }

    
    public function display_element( $element, &$children_elements, $max_depth, $depth, $args, &$output ) {
        if ( ! $element )
            return;

        $id_field = $this->db_fields['id'];

        if ( is_object( $args[0] ) )
            $args[0]->has_children = ! empty( $children_elements[ $element->$id_field ] );

        parent::display_element( $element, $children_elements, $max_depth, $depth, $args, $output );
    }
}

function show_post($path) {
  $post = get_page_by_path($path);
  $content = apply_filters('the_content', $post->post_content);
  echo $content;
}

function get_excerpt($count){
    $permalink = get_permalink($post->ID);
    $excerpt = get_the_content();
    $excerpt = strip_tags($excerpt);
    $excerpt = substr($excerpt, 0, $count);
    $excerpt = substr($excerpt, 0, strripos($excerpt, " "));
    $excerpt = $excerpt.'... <a href="'.$permalink.'">Read More</a>';
    return $excerpt;
}
add_filter('next_posts_link_attributes', 'posts_link_attributes');
add_filter('previous_posts_link_attributes', 'posts_link_attributes');

function posts_link_attributes() {
  return 'class="page-number"';
}