<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Rank SEO 1.0.0
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<!--wrapper start-->
<div class="wrapper home-seo-wrapper">

  <!--== Start Preloader Content ==-->
  <div class="preloader-wrap">
  	<div class="preloader">
	    <span class="dot"></span>
	    <div class="dots">
        <span></span>
        <span></span>
        <span></span>
	    </div>
  	</div>
  </div>
  <!--== End Preloader Content ==-->

  <!--== Start Header Wrapper ==-->
  <header class="header-wrapper">
    <div class="header-top">
      <div class="container">
        <div class="row">
          <div class="col-8 col-sm-8 col-md-8 col-lg-8">
            <div class="header-info">
            	<?php
      				if ( is_active_sidebar( 'top-bar-widget' ) ) : ?>
      				    <div id="header-widget-area" class="chw-widget-area widget-area" role="complementary">
      				    <?php dynamic_sidebar( 'top-bar-widget' ); ?>
      				    </div>
      				     
      				<?php endif; ?>
            </div>
          </div>
          <div class="col-4 col-sm-4 col-md-4 col-lg-4 header-top-right">
            <div class="header-icons">
        	<?php
			if ( is_active_sidebar( 'socia-bar-widget' ) ) : ?>
			    <div id="social-widget-area" class="chw-widget-area widget-area" role="complementary">
			    <?php dynamic_sidebar( 'socia-bar-widget' ); ?>
			    </div>
			     
			<?php endif; ?>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="header-area header-right-align sticky-header">
      <div class="container">
        <div class="row align-items-center">
          <div class="col-7 col-lg-3">
            <div class="header-logo-area">
                <?php
                the_custom_logo();
                if (!has_custom_logo()) {
                ?>
                <h5><?php echo "Teachingcart"; ?></h5>
                <?php
		            }
		            ?>
            </div>
          </div>
          <div class="col-5 col-lg-9">
            <div class="header-right">
              <div class="header-navigation-area navigation-style-two">
                  <?php
                  wp_nav_menu(array(
                    'theme_location' => 'primary-menu',
                    'container' => '<ul>',
                    'menu_class' => 'main-menu nav justify-content-center',
                    'menu_id' => 'nav',
                    'depth' => 10,
                    'walker' => new Custom_Walker_Nav_Menu
                  ));
                  ?>
              </div>
              <div class="header-action-area">
                <a class="btn-theme btn-two" href="/contact-us">Request a Quote</a>
                <button class="btn-menu d-lg-none">
                  <span></span>
                  <span></span>
                  <span></span>
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>
  <!--== End Header Wrapper ==-->