<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Rank SEO 1.0.0
 */

get_header(); ?>
<main class="main-content site-wrapper-reveal">
    <!--== Start Hero Area Wrapper ==-->
  	<section class="home-slider-area slider-seo">
  		<div class="container">
        <div class="slider-content-area">
    			<div class="row">
    				<div class="col-lg-5 d-flex align-items-center">
    					<div class="slider-content-inner">
    						<h2>Best Solutions <br>SEO & Marketing for Business</h2>
                <p>We help businesses of all shapes and sizes to thrive in the online world. Our skills span a wide range of creative and technical areas, allowing us to cover every corner of a digital marketing campaign.</p>
                <a href="#/" class="btn btn-theme">Start Now</a>
                <a href="#/" class="btn btn-link no-line"><img src="<?=get_template_directory_uri()?>/img/icons/link.png" alt="Icon"> Join us on Telegram</a>
    					</div>
    				</div>
            <div class="col-lg-7">
              <div class="thumb">
                <img class="wow animated fadeInRightBig" src="<?=get_template_directory_uri()?>/img/photos/vector/seo.png" alt="Boseo-HasTech">
              </div>
            </div>
    			</div>
        </div>
  		</div>
      <div class="shape-layer">
        <div class="layer layer-one">
          <img src="<?=get_template_directory_uri()?>/img/shape/bg-shape-05.png" alt="Boseo-HasTech">
        </div>
      </div>
  	</section>
  	<!--== End Hero Area Wrapper ==-->

    <!--== Start Service Area ==-->
    <section class="service-area service-seo-area">
      <div class="container">
        <div class="row icon-box-style4">
          <div class="col-lg-4 col-md-6">
            <div class="icon-box-item">
              <div class="icon-box">
                <img class="icon-img" src="<?=get_template_directory_uri()?>/img/icons/11.png" alt="Icon">
              </div>
              <div class="content">
                <h4><a href="#/">Organic Search (SEO)</a></h4>
                <p>Stop selling. Start helping. Utilize SEO to capture early stage awareness queries through relevant content</p>
                <a href="#/" class="btn btn-link">Learn More</a>
              </div>
            </div>
          </div>
          <div class="col-lg-4 col-md-6">
            <div class="icon-box-item">
              <div class="icon-box">
                <img class="icon-img" src="<?=get_template_directory_uri()?>/img/icons/12.png" alt="Icon">
              </div>
              <div class="content">
                <h4><a href="#/">Link Building Services</a></h4>
                <p>Our full-service link building company specializes in custom link building campaigns that earn high-quality links</p>
                <a href="#/" class="btn btn-link">Learn More</a>
              </div>
            </div>
          </div>
          <div class="col-lg-4 col-md-6">
            <div class="icon-box-item">
              <div class="icon-box">
                <img class="icon-img" src="<?=get_template_directory_uri()?>/img/icons/13.png" alt="Icon">
              </div>
              <div class="content">
                <h4><a href="#/">Paid Search (PPC)</a></h4>
                <p>Search engine marketing (SEM, which can include SEO), pay-per-click (PPC), search engine advertising sponsored</p>
                <a href="#/" class="btn btn-link">Learn More</a>
              </div>
            </div>
          </div>
          <div class="col-lg-4 col-md-6">
            <div class="icon-box-item">
              <div class="icon-box">
                <img class="icon-img" src="<?=get_template_directory_uri()?>/img/icons/38.png" alt="Icon">
              </div>
              <div class="content">
                <h4><a href="#/">SEO Auditing Services</a></h4>
                <p>If you haven't recently audited you website, we recommend an SEO audit before you begin a campaign</p>
                <a href="#/" class="btn btn-link">Learn More</a>
              </div>
            </div>
          </div>
          <div class="col-lg-4 col-md-6">
            <div class="icon-box-item">
              <div class="icon-box">
                <img class="icon-img" src="<?=get_template_directory_uri()?>/img/icons/39.png" alt="Icon">
              </div>
              <div class="content">
                <h4><a href="#/">B2B SEO Services</a></h4>
                <p>B2B SEO campaign will include a study of business goals, followed by an evaluation of pre-purchase</p>
                <a href="#/" class="btn btn-link">Learn More</a>
              </div>
            </div>
          </div>
          <div class="col-lg-4 col-md-6">
            <div class="icon-box-item">
              <div class="icon-box">
                <img class="icon-img" src="<?=get_template_directory_uri()?>/img/icons/40.png" alt="Icon">
              </div>
              <div class="content">
                <h4><a href="#/">Full Service SEO</a></h4>
                <p>Based in Americas, Boseo offers full service SEO marketing solutions for companies of all sizes and types</p>
                <a href="#/" class="btn btn-link">Learn More</a>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="shape-layer">
        <div class="layer layer-one">
          <img src="<?=get_template_directory_uri()?>/img/shape/bg-shape-06.png" alt="Boseo-HasTech">
        </div>
      </div>
    </section>
    <!--== End Service Area ==-->

    <!--== Start About Area ==-->
    <section class="about-area about-seo-area">
      <div class="container">
        <div class="row">
          <div class="col-lg-6 col-md-12">
            <div class="thumb wow fadeInLeft animated">
              <img class="icon-img" src="<?=get_template_directory_uri()?>/img/about/v03.png" alt="Boseo-HasTech">
            </div>
          </div>
          <div class="col-lg-6 col-md-12">
            <div class="section-title">
              <h5>Who We Are</h5>
              <h2 class="title">Boseo is a digital marketing agency with offices in California and New York</h2>
              <div class="desc pr-30">
                <p>Having worked with hundreds of companies from small businesses to Fortune 1000’s, we understand your pain points. We also understand we aren’t the right agency for every business. We want to work with businesses that want a partner, not a doer.</p>
                <div>
                  <a href="about.html" class="btn btn-theme mr-30 mr-xs-15 mb-xs-30">More About Us</a>
                  <a href="https://player.vimeo.com/video/174392490?dnt=1&app_id=122963" class="btn btn-link no-line play-video-popup mb-xs-30"><img src="<?=get_template_directory_uri()?>/img/icons/play.png" alt="Icon">See Video</a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!--== End About Area ==-->

    <!--== Start Funfact Area ==-->
    <section class="funfact-area funfact-seo-area">
      <div class="container">
        <div class="row">
          <div class="col-6 col-lg-3">
            <div class="funfact-item">
              <div class="number">
                <h2><span class="counter-animate">3254</span>+</h2>
              </div>
              <p class="title">Completed Projects</p>
            </div>
          </div>
          <div class="col-6 col-lg-3">
            <div class="funfact-item">
              <div class="number">
                <h2><span class="counter-animate">59</span></h2>
              </div>
              <p class="title">Award Winner</p>
            </div>
          </div>
          <div class="col-6 col-lg-3">
            <div class="funfact-item">
              <div class="number">
                <h2><span class="counter-animate">234</span>k</h2>
              </div>
              <p class="title">Worldwide Users</p>
            </div>
          </div>
          <div class="col-6 col-lg-3">
            <div class="funfact-item">
              <div class="number">
                <h2><span class="counter-animate">825</span></h2>
              </div>
              <p class="title">Satisfied Clients</p>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!--== End Funfact Area ==-->

    <!--== Start Portfolio Area ==-->
    <section class="portfolio-area portfolio-seo-area">
      <div class="container">
        <div class="row">
          <div class="col-lg-12">
            <div class="section-title">
              <h5>Case Studies</h5>
              <h2 class="title">Our Latest Projects</h2>
            </div>
          </div>
        </div>
      </div>
      <div class="container-fluid p-0">
        <div class="row">
          <div class="col-lg-12">
            <div class="portfolio-slider portfolio-slider-seo owl-carousel owl-theme owl-nav3">
              <div class="item">
                <div class="portfolio-item">
                  <div class="inner-content">
                    <div class="thumb">
                      <a href="portfolio-details.html"><img src="<?=get_template_directory_uri()?>/img/portfolio/vector01.jpg" alt="Boseo-Portfolio"/></a>
                    </div>
                    <div class="portfolio-info hover-theme-color2">
                      <h3 class="title"><a href="portfolio-details.html">Barclays Capital Group</a></h3>
                      <a href="portfolio-details.html" class="category">Local SEO</a>
                    </div>
                  </div>
                </div>
              </div>
              <div class="item">
                <div class="portfolio-item">
                  <div class="inner-content">
                    <div class="thumb">
                      <a href="portfolio-details.html"><img src="<?=get_template_directory_uri()?>/img/portfolio/vector02.jpg" alt="Boseo-Portfolio"/></a>
                    </div>
                    <div class="portfolio-info hover-theme-color2">
                      <h3 class="title"><a href="portfolio-details.html">Barclays Capital Group</a></h3>
                      <a href="portfolio-details.html" class="category">Local SEO</a>
                    </div>
                  </div>
                </div>
              </div>
              <div class="item">
                <div class="portfolio-item">
                  <div class="inner-content">
                    <div class="thumb">
                      <a href="portfolio-details.html"><img src="<?=get_template_directory_uri()?>/img/portfolio/vector03.jpg" alt="Boseo-Portfolio"/></a>
                    </div>
                    <div class="portfolio-info hover-theme-color2">
                      <h3 class="title"><a href="portfolio-details.html">Barclays Capital Group</a></h3>
                      <a href="portfolio-details.html" class="category">Local SEO</a>
                    </div>
                  </div>
                </div>
              </div>
              <div class="item">
                <div class="portfolio-item">
                  <div class="inner-content">
                    <div class="thumb">
                      <a href="portfolio-details.html"><img src="<?=get_template_directory_uri()?>/img/portfolio/vector04.jpg" alt="Boseo-Portfolio"/></a>
                    </div>
                    <div class="portfolio-info hover-theme-color2">
                      <h3 class="title"><a href="portfolio-details.html">Barclays Capital Group</a></h3>
                      <a href="portfolio-details.html" class="category">Local SEO</a>
                    </div>
                  </div>
                </div>
              </div>
              <div class="item">
                <div class="portfolio-item">
                  <div class="inner-content">
                    <div class="thumb">
                      <a href="portfolio-details.html"><img src="<?=get_template_directory_uri()?>/img/portfolio/vector05.jpg" alt="Boseo-Portfolio"/></a>
                    </div>
                    <div class="portfolio-info hover-theme-color2">
                      <h3 class="title"><a href="portfolio-details.html">Barclays Capital Group</a></h3>
                      <a href="portfolio-details.html" class="category">Local SEO</a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="shape-layer">
        <div class="layer layer-one">
          <img src="<?=get_template_directory_uri()?>/img/shape/bg-shape-07.png" alt="Boseo-HasTech">
        </div>
      </div>
    </section>
    <!--== End Portfolio Area ==-->

    <!--== Start Testimonial Area ==-->
    <section class="testimonial-area testimonial-seo-area">
      <div class="container">
        <div class="row">
          <div class="col-lg-12">
            <div class="section-title mb-30">
              <h5>Testimonials</h5>
              <h2 class="title">Trusted From My Clients</h2>
            </div>
          </div>
        </div>
      </div>
      <div class="container-fluid p-0">
        <div class="row">
          <div class="col-lg-12">
            <div class="testimonial-content">
              <div class="testimonial-slider-two owl-carousel owl-theme owl-nav3">
                <div class="testimonial-carousel-item">
                  <!--== Start Testimonial Item ==-->
                  <div class="testimonial-item">
                    <div class="client-content">
                      <p>“Kelly Chandler is definitely an expert in digital marketing! She is always doing a great job and takes time to explain her thoughts and her process. She doesn't hesitate to share new ideas and be proactive all the time, which is great when you want to grow your business. Thank you very much.”</p>
                    </div>
                    <div class="client-info">
                      <div class="thumb">
                        <img src="<?=get_template_directory_uri()?>/img/testimonial/01.jpg" alt="Image">
                      </div>
                      <div class="desc">
                        <h4 class="name">Chris Carroll</h4>
                        <p class="designation">CEO Founder at Google Inc</p>
                      </div>
                      <div class="icon-quote"><img src="<?=get_template_directory_uri()?>/img/icons/right-quote03.png" alt="Image"></div>
                    </div>
                  </div>
                  <!--== End Testimonial Item ==-->
                </div>

                <div class="testimonial-carousel-item">
                  <!--== Start Testimonial Item ==-->
                  <div class="testimonial-item">
                    <div class="client-content">
                      <p>“We’ve been with higher visibility for about two months now and with the help of our account manager Lauren Moscato, we’ve been able to improve our website and rankings dramatically. We will be continuing business with them and are excited to see what’s to come. Thank you very much.”</p>
                    </div>
                    <div class="client-info">
                      <div class="thumb">
                        <img src="<?=get_template_directory_uri()?>/img/testimonial/02.jpg" alt="Image">
                      </div>
                      <div class="desc">
                        <h4 class="name">Julia Steve</h4>
                        <p class="designation">Manager at Spotify LLC</p>
                      </div>
                      <div class="icon-quote"><img src="<?=get_template_directory_uri()?>/img/icons/right-quote03.png" alt="Image"></div>
                    </div>
                  </div>
                  <!--== End Testimonial Item ==-->
                </div>

                <div class="testimonial-carousel-item">
                  <!--== Start Testimonial Item ==-->
                  <div class="testimonial-item">
                    <div class="client-content">
                      <p>“A company that delivers results from the moment you start. We had been managing our own accounts and our SEO had only been a small part of our efforts. With Higher Visibility a weight was lifted off our shoulders on the campaigns they now manage and our SEO ranking is growing daily.”</p>
                    </div>
                    <div class="client-info">
                      <div class="thumb">
                        <img src="<?=get_template_directory_uri()?>/img/testimonial/03.jpg" alt="Image">
                      </div>
                      <div class="desc">
                        <h4 class="name">Anna Houston</h4>
                        <p class="designation">Senior Executive at Dropbox</p>
                      </div>
                      <div class="icon-quote"><img src="<?=get_template_directory_uri()?>/img/icons/right-quote03.png" alt="Image"></div>
                    </div>
                  </div>
                  <!--== End Testimonial Item ==-->
                </div>

                <div class="testimonial-carousel-item">
                  <!--== Start Testimonial Item ==-->
                  <div class="testimonial-item">
                    <div class="client-content">
                      <p>“I wanted to take a moment and let you know how happy we are. You have show great knowledge in regards to SEO best practices as well as optimization strategy and management of the BOSEO.com account. Most importantly, you have obtained results, and that is an undeniable measure.”</p>
                    </div>
                    <div class="client-info">
                      <div class="thumb">
                        <img src="<?=get_template_directory_uri()?>/img/testimonial/04.jpg" alt="Image">
                      </div>
                      <div class="desc">
                        <h4 class="name">Ed Dodd</h4>
                        <p class="designation">CEO at Ridegear.com</p>
                      </div>
                      <div class="icon-quote"><img src="<?=get_template_directory_uri()?>/img/icons/right-quote03.png" alt="Image"></div>
                    </div>
                  </div>
                  <!--== End Testimonial Item ==-->
                </div>
              </div>
              <div class="layer-shape">
                <img class="layer-shape-one" src="<?=get_template_directory_uri()?>/img/shape/bg-shape-02.png" alt="Boseo-Image">
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!--== End Testimonial Area ==-->

    <!--== Start Brand Logo Area ==-->
    <section class="brand-logo-area brand-seo-area">
      <div class="container">
        <div class="row">
          <div class="col-lg-12">
            <div class="brand-logo-content-area">
              <div class="brand-list brand-logo-slider owl-carousel owl-theme">
                <div class="brand-logo-item">
                  <a href="#/"><img src="<?=get_template_directory_uri()?>/img/brand-logo/1.png" alt="Boseo-Logo" /></a>
                </div>

                <div class="brand-logo-item">
                  <a href="#/"><img src="<?=get_template_directory_uri()?>/img/brand-logo/2.png" alt="Boseo-Logo" /></a>
                </div>

                <div class="brand-logo-item">
                  <a href="#/"><img src="<?=get_template_directory_uri()?>/img/brand-logo/3.png" alt="Boseo-Logo" /></a>
                </div>

                <div class="brand-logo-item">
                  <a href="#/"><img src="<?=get_template_directory_uri()?>/img/brand-logo/4.png" alt="Boseo-Logo" /></a>
                </div>

                <div class="brand-logo-item">
                  <a href="#/"><img src="<?=get_template_directory_uri()?>/img/brand-logo/5.png" alt="Boseo-Logo" /></a>
                </div>
              </div>           
            </div>
          </div>
        </div>  
      </div>
    </section>
    <!--== Start Brand Logo Area ==-->

    <!--== Start Pricing Area Wrapper ==-->
    <section class="pricing-area pricing-seo-area">
      <div class="container">
        <div class="row">
          <div class="col-lg-12">
            <div class="section-title">
              <h5>Pricing Table</h5>
              <h2 class="title">Choose Your Best Plan</h2>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-lg-12">
            <div class="pricing-items pricing-items-two">
              <!--== Start Pricing Item ==-->
              <div class="pricing-item">
                <div class="pricing-title">
                  <h5>Entrepreneur</h5>
                </div>
                <div class="pricing-thumb">
                  <img src="<?=get_template_directory_uri()?>/img/photos/pricing-v01.png" alt="Boseo-HasTech">
                  <img class="shape-img" src="<?=get_template_directory_uri()?>/img/shape/p01.png" alt="Boseo-HasTech">
                </div>
                <div class="pricing-amount">
                  <h2><sup>$</sup>29<span>/ Month</span></h2>
                </div>
                <div class="pricing-content">
                  <ul class="pricing-list">
                    <li>25 Analytics Compaign</li>
                    <li>1,300Change Keywords</li>
                    <li>1 Free Optimization</li>
                    <li>24/7 support</li>
                  </ul>
                </div>
                <div class="pricing-footer">
                  <a href="#/" class="btn btn-gray">Start Now</a>
                </div>
              </div>
              <!--== End Pricing Item ==-->

              <!--== Start Pricing Item ==-->
              <div class="pricing-item active">
                <div class="pricing-badge">
                  <h6>Popular</h6>
                </div>
                <div class="pricing-title">
                  <h5>Growing Business</h5>
                </div>
                <div class="pricing-thumb">
                  <img src="<?=get_template_directory_uri()?>/img/photos/pricing-v02.png" alt="Boseo-HasTech">
                  <img class="shape-img" src="<?=get_template_directory_uri()?>/img/shape/p02.png" alt="Boseo-HasTech">
                </div>
                <div class="pricing-amount">
                  <h2><sup>$</sup>59<span>/ Month</span></h2>
                </div>
                <div class="pricing-content">
                  <ul class="pricing-list">
                    <li>80 Analytics Compaign</li>
                    <li>1,500Change Keywords</li>
                    <li>3 Free Optimization</li>
                    <li>24/7 support</li>
                  </ul>
                </div>
                <div class="pricing-footer">
                  <a href="#/" class="btn btn-gray">Start Now</a>
                </div>
              </div>
              <!--== End Pricing Item ==-->

              <!--== Start Pricing Item ==-->
              <div class="pricing-item">
                <div class="pricing-title">
                  <h5>Pro Business</h5>
                </div>
                <div class="pricing-thumb">
                  <img src="<?=get_template_directory_uri()?>/img/photos/pricing-v03.png" alt="Boseo-HasTech">
                  <img class="shape-img" src="<?=get_template_directory_uri()?>/img/shape/p03.png" alt="Boseo-HasTech">
                </div>
                <div class="pricing-amount">
                  <h2><sup>$</sup>99<span>/ Month</span></h2>
                </div>
                <div class="pricing-content">
                  <ul class="pricing-list">
                    <li>100 Analytics Compaign</li>
                    <li>2,300Change Keywords</li>
                    <li>10 Free Optimization</li>
                    <li>24/7 support</li>
                  </ul>
                </div>
                <div class="pricing-footer">
                  <a href="#/" class="btn btn-gray">Start Now</a>
                </div>
              </div>
              <!--== End Pricing Item ==-->
            </div>
          </div>
        </div>
      </div>
    </section>
    <!--== End Pricing Area Wrapper ==-->

    <!--== Start Divider Area ==-->
    <section class="divider-area divider-seo-report-area">
      <div class="container">
        <div class="row">
          <div class="col-lg-4 offset-lg-2">
            <div class="seo-report-form-content">
              <form class="seo-report-form" action="php/mail.php" method="post">
                <h4>Free SEO Reports</h4>
                <div class="form-group">
                  <input class="form-control" type="text" name="con_website" placeholder="Website *">
                </div>
                <div class="form-group">
                  <input class="form-control" type="text" name="con_keyword" placeholder="Keyword">
                </div>
                <div class="form-group">
                  <input class="form-control" type="text" name="con_name" placeholder="Name *">
                </div>
                <div class="form-group">
                  <input class="form-control" type="text" name="con_email" placeholder="Email *">
                </div>
                <div class="form-group">
                  <input class="form-control" type="text" name="con_phone" placeholder="Phone">
                </div>
                <div class="form-group">
                  <button class="btn-theme" type="submit">Scan Now</button>
                </div>
              </form>
              <div class="shape-layer">
                <div class="layer layer-one">
                  <img src="<?=get_template_directory_uri()?>/img/shape/d01.png" alt="Boseo-HasTech">
                </div>
                <div class="layer layer-two">
                  <img src="<?=get_template_directory_uri()?>/img/shape/d02.png" alt="Boseo-HasTech">
                </div>
                <div class="layer layer-three">
                  <img src="<?=get_template_directory_uri()?>/img/shape/d03.png" alt="Boseo-HasTech">
                </div>
                <div class="layer layer-four">
                  <img src="<?=get_template_directory_uri()?>/img/shape/d04.png" alt="Boseo-HasTech">
                </div>
                <div class="layer layer-five">
                  <img src="<?=get_template_directory_uri()?>/img/shape/d05.png" alt="Boseo-HasTech">
                </div>
                <div class="layer layer-six">
                  <img src="<?=get_template_directory_uri()?>/img/shape/d06.png" alt="Boseo-HasTech">
                </div>
              </div>
            </div>
          </div>
          <div class="col-lg-5 offset-lg-1">
            <div class="section-title">
              <h5>SEO Reports</h5>
              <h2 class="title">How much more <br>traffic should you actually <br>be getting</h2>
              <div class="desc pr-30">
                <p>These free SEO reports are also called as free SEO audits at times. They comprise some many important features as mentioned below</p>
              </div>
              <div class="list-style">
                <ul>
                  <li><i class="arrow_carrot-down_alt2"></i> Site architecture</li>
                  <li><i class="arrow_carrot-down_alt2"></i> Web content issues</li>
                  <li><i class="arrow_carrot-down_alt2"></i> Usability issues</li>
                  <li><i class="arrow_carrot-down_alt2"></i> Site navigation issues</li>
                </ul>
                <ul>
                  <li><i class="arrow_carrot-down_alt2"></i> Inbound link analysis</li>
                  <li><i class="arrow_carrot-down_alt2"></i> Outbound link analysis</li>
                  <li><i class="arrow_carrot-down_alt2"></i> Site domain issues</li>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!--== End Divider Area ==-->

    <!--== Start Blog Area Wrapper ==-->
    <section class="blog-area blog-seo-area">
      <div class="container">
        <div class="row">
          <div class="col-lg-12">
            <div class="section-title">
              <h5>OUR BLOG</h5>
              <h2 class="title mb-0">Latest Posts</h2>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-lg-12">
            <div class="post-items-slider-two owl-carousel owl-theme owl-nav3">
              
              <!--== Start Blog Post Item ==-->
              <div class="post-item">
                <div class="thumb">
                  <a href="blog-details.html"><img src="<?=get_template_directory_uri()?>/img/blog/01.jpg" alt="Boseo-Blog" /></a>
                </div>
                <div class="content">
                  <div class="meta">
                    By
                    <a class="author" href="blog.html">Seobon</a>
                    <a href="blog.html">28 April 2020</a>
                  </div>
                  <h4 class="title">
                    <a href="blog-details.html">Google Launching Policy Manager in Google Ads</a>
                  </h4>
                  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean tristique lacus vitae arcu malesuada</p>
                </div>
              </div>
              <!--== End Blog Post Item ==-->

              <!--== Start Blog Post Item ==-->
              <div class="post-item">
                <div class="thumb">
                  <a href="blog-details.html"><img src="<?=get_template_directory_uri()?>/img/blog/02.jpg" alt="Boseo-Blog" /></a>
                </div>
                <div class="content">
                  <div class="meta">
                    By
                    <a class="author" href="blog.html">Admin</a>
                    <a href="blog.html">08 July 2020</a>
                  </div>
                  <h4 class="title">
                    <a href="blog-details.html">5 Steps for Competing with Digital Goliaths</a>
                  </h4>
                  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean tristique lacus vitae arcu malesuada</p>
                </div>
              </div>
              <!--== End Blog Post Item ==-->

              <!--== Start Blog Post Item ==-->
              <div class="post-item">
                <div class="thumb">
                  <a href="blog-details.html"><img src="<?=get_template_directory_uri()?>/img/blog/03.jpg" alt="Boseo-Blog" /></a>
                </div>
                <div class="content">
                  <div class="meta">
                    By
                    <a class="author" href="blog.html">Katlynn</a>
                    <a href="blog.html">15 November 2020</a>
                  </div>
                  <h4 class="title">
                    <a href="blog-details.html">SMX Overtime: What Really Matters for SEO Success</a>
                  </h4>
                  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean tristique lacus vitae arcu malesuada</p>
                </div>
              </div>
              <!--== End Blog Post Item ==-->

              <!--== Start Blog Post Item ==-->
              <div class="post-item">
                <div class="thumb">
                  <a href="blog-details.html"><img src="<?=get_template_directory_uri()?>/img/blog/04.jpg" alt="Boseo-Blog" /></a>
                </div>
                <div class="content">
                  <div class="meta">
                    By
                    <a class="author" href="blog.html">Seobon</a>
                    <a href="blog.html">28 April 2020</a>
                  </div>
                  <h4 class="title">
                    <a href="blog-details.html">Google Launching Policy Manager in Google Ads</a>
                  </h4>
                  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean tristique lacus vitae arcu malesuada</p>
                </div>
              </div>
              <!--== End Blog Post Item ==-->
            </div>
          </div>
        </div>
      </div>
    </section>
    <!--== End Blog Area Wrapper ==-->

    <!--== Start Divider Area Wrapper ==-->
    <section class="divider-area divider-quote-area">
      <div class="container">
        <div class="row">
          <div class="col-lg-12">
            <div class="quote-content text-center">
              <div class="row">
                <div class="col-lg-6 m-auto">
                  <h2>Come Work With Us!</h2>
                  <form class="input-btn-group">
                    <input class="form-control no-border" type="text" placeholder="Your Email">
                    <button class="btn btn-theme" type="button">Request a quote</button>
                  </form>
                </div>
              </div>
              <img class="bg-shape-img" src="<?=get_template_directory_uri()?>/img/shape/bg-shape-01.png" alt="Boseo-Image">
            </div>
          </div>
        </div>
      </div>
    </section>
    <!--== End Divider Area Wrapper ==-->
  </main>

<?php get_footer(); ?>
