<?php
/**
* Template Name: Home Template
*
* @package Rank SEO 1.0.0
* @subpackage Rank SEO 1.0.0
* @since Rank SEO 1.0.0
*/

get_header();
?>
<main class="main-content site-wrapper-reveal">
    <?php if ( have_posts() ) : while ( have_posts() ) : the_post();
    the_content();
    endwhile; else: ?>
    <p>Sorry, no posts matched your criteria.</p>
    <?php endif; ?>
    <!-- why choose us section -->
    <?php
    echo do_shortcode('[services_posts]');
    ?>
    <style>
      section.testimonial-area{
        background-image: url('<?=get_template_directory_uri()?>/img/testim.jpg');
        background-repeat: no-repeat;
        background-size: cover;
        background-position: top center;
      }
      section.testimonial-area .title{
        color: #fff;
      }
    </style>
    <section class="testimonial-area testimonial-seo-area">
      <div class="container">
        <div class="row">
          <div class="col-lg-12">
            <div class="section-title mb-30">
              <h2 class="title">Trusted clients</h2>
            </div>
          </div>
        </div>
      </div>
      <div class="container-fluid p-0">
        <div class="row">
          <div class="col-lg-12">
            <div class="testimonial-content">
              <div class="testimonial-slider-two owl-carousel owl-theme owl-nav3">
                <div class="testimonial-carousel-item">
                  <!--== Start Testimonial Item ==-->
                  <div class="testimonial-item">
                    <div class="client-content">
                      <p>“Kelly Chandler is definitely an expert in digital marketing! She is always doing a great job and takes time to explain her thoughts and her process. She doesn't hesitate to share new ideas and be proactive all the time, which is great when you want to grow your business. Thank you very much.”</p>
                    </div>
                    <div class="client-info">
                      <div class="thumb">
                        <img src="<?=get_template_directory_uri()?>/img/testimonial/01.jpg" alt="Image">
                      </div>
                      <div class="desc">
                        <h4 class="name">Chris Carroll</h4>
                        <p class="designation">CEO Founder at Google Inc</p>
                      </div>
                      <div class="icon-quote"><img src="<?=get_template_directory_uri()?>/img/icons/right-quote03.png" alt="Image"></div>
                    </div>
                  </div>
                  <!--== End Testimonial Item ==-->
                </div>

                <div class="testimonial-carousel-item">
                  <!--== Start Testimonial Item ==-->
                  <div class="testimonial-item">
                    <div class="client-content">
                      <p>“We’ve been with higher visibility for about two months now and with the help of our account manager Lauren Moscato, we’ve been able to improve our website and rankings dramatically. We will be continuing business with them and are excited to see what’s to come. Thank you very much.”</p>
                    </div>
                    <div class="client-info">
                      <div class="thumb">
                        <img src="<?=get_template_directory_uri()?>/img/testimonial/02.jpg" alt="Image">
                      </div>
                      <div class="desc">
                        <h4 class="name">Julia Steve</h4>
                        <p class="designation">Manager at Spotify LLC</p>
                      </div>
                      <div class="icon-quote"><img src="<?=get_template_directory_uri()?>/img/icons/right-quote03.png" alt="Image"></div>
                    </div>
                  </div>
                  <!--== End Testimonial Item ==-->
                </div>

                <div class="testimonial-carousel-item">
                  <!--== Start Testimonial Item ==-->
                  <div class="testimonial-item">
                    <div class="client-content">
                      <p>“A company that delivers results from the moment you start. We had been managing our own accounts and our SEO had only been a small part of our efforts. With Higher Visibility a weight was lifted off our shoulders on the campaigns they now manage and our SEO ranking is growing daily.”</p>
                    </div>
                    <div class="client-info">
                      <div class="thumb">
                        <img src="<?=get_template_directory_uri()?>/img/testimonial/03.jpg" alt="Image">
                      </div>
                      <div class="desc">
                        <h4 class="name">Anna Houston</h4>
                        <p class="designation">Senior Executive at Dropbox</p>
                      </div>
                      <div class="icon-quote"><img src="<?=get_template_directory_uri()?>/img/icons/right-quote03.png" alt="Image"></div>
                    </div>
                  </div>
                  <!--== End Testimonial Item ==-->
                </div>

                <div class="testimonial-carousel-item">
                  <!--== Start Testimonial Item ==-->
                  <div class="testimonial-item">
                    <div class="client-content">
                      <p>“I wanted to take a moment and let you know how happy we are. You have show great knowledge in regards to SEO best practices as well as optimization strategy and management of the BOSEO.com account. Most importantly, you have obtained results, and that is an undeniable measure.”</p>
                    </div>
                    <div class="client-info">
                      <div class="thumb">
                        <img src="<?=get_template_directory_uri()?>/img/testimonial/04.jpg" alt="Image">
                      </div>
                      <div class="desc">
                        <h4 class="name">Ed Dodd</h4>
                        <p class="designation">CEO at Ridegear.com</p>
                      </div>
                      <div class="icon-quote"><img src="<?=get_template_directory_uri()?>/img/icons/right-quote03.png" alt="Image"></div>
                    </div>
                  </div>
                  <!--== End Testimonial Item ==-->
                </div>
              </div>
              <div class="layer-shape">
                <img class="layer-shape-one" src="<?=get_template_directory_uri()?>/img/shape/bg-shape-02.png" alt="Boseo-Image">
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <?php
    if(show_post('why-choose-us')){
        show_post('why-choose-us');
    }
    ?>
    <section class="funfact-area funfact-seo-area">
      <div class="container">
        <div class="row">
          <div class="col-6 col-lg-3">
            <div class="funfact-item">
              <div class="number">
                <h2><span class="counter-animate">11</span>+</h2>
              </div>
              <p class="title">Projects</p>
            </div>
          </div>
          <div class="col-6 col-lg-3">
            <div class="funfact-item">
              <div class="number">
                <h2><span class="counter-animate">5</span></h2>
              </div>
              <p class="title">Award Winner</p>
            </div>
          </div>
          <div class="col-6 col-lg-3">
            <div class="funfact-item">
              <div class="number">
                <h2><span class="counter-animate">9</span></h2>
              </div>
              <p class="title">Worldwide Customers</p>
            </div>
          </div>
          <div class="col-6 col-lg-3">
            <div class="funfact-item">
              <div class="number">
                <h2><span class="counter-animate">10</span></h2>
              </div>
              <p class="title">Satisfied Clients</p>
            </div>
          </div>
        </div>
      </div>
    </section>
    <?php
    if(show_post('our-process')){
        show_post('our-process');
    }
    
    echo do_shortcode('[recent_posts]');

    ?>
</main>
<?php
get_footer();
