<?php
function recent_posts_func( $atts ){
    $recent_posts = wp_get_recent_posts(array(
        'numberposts' => 4, // Number of recent posts thumbnails to display
        'post_status' => 'publish' // Show only the published posts
    ));
    ob_start();
    ?>
    <section class="blog-area blog-agency-area recents">
      <div class="container">
        <div class="row">
          <div class="col-lg-12">
            <div class="section-title mb-90 mb-sm-50">
              <h2 class="title mb-0">Recent posts</h2>
            </div>
          </div>
        </div>
        <div class="row post-items-transparent">
          <div class="col-lg-12">
            <div class="post-items-slider owl-carousel owl-theme">
              <?php
		    	foreach ($recent_posts as $post) {
		      ?>
              <div class="item">
                <div class="post-item">
                  <div class="thumb">
                    <a href="<?php echo get_permalink($post['ID']) ?>"><?php echo get_the_post_thumbnail($post['ID'], 'full'); ?></a>
                  </div>
                  <div class="content">
                    <div class="meta">
                      By
                      <a class="author" href="<?php echo get_permalink($post['ID']) ?>"><?=get_the_author_meta('display_name', $post['post_author']); ?></a>
                      <a href="<?php echo get_permalink($post['ID']) ?>"><?=date('d M Y', strtotime($post['post_date']))?></a>
                    </div>
                    <h4 class="title">
                      <a href="<?php echo get_permalink($post['ID']) ?>"><?=$post['post_title']?></a>
                    </h4>
                  </div>
                </div>
              </div>
              <?php } ?>
            </div>
          </div>
        </div>
      </div>
    </section>
    <?php
    $output = ob_get_clean();
    return $output;
	
}
add_shortcode( 'recent_posts', 'recent_posts_func' );
?>