<?php
/**
 * The template for displaying all single posts.
 *
 * @package Rank SEO 1.0.0
 */

get_header(); ?>
<main class="main-content site-wrapper-reveal bgcolor-gray">
	<section class="page-title-area pt-90 pb-md-90">
      <div class="container">
        <div class="row">
          <div class="col-lg-8 m-auto text-center">
            <div class="page-title-content pt-2 pb-10">
              <h2 class="title mb-20"><?=single_post_title();?></h2>
              <div class="bread-crumbs text-theme-color5">
              	<?php
                if ( function_exists('yoast_breadcrumb') ) {
                  yoast_breadcrumb( '<div class="bread-crumbs">','</div>' );
                }
              	?>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="blog-details-area pt-0">
      <div class="container pb-75 pb-md-50">
        <div class="row">
          <div class="col-lg-12">
            <div class="post-details-content">
              <div class="post-details-body">
                <div class="thumb">
                  <?=the_post_thumbnail('full')?>
                </div>
                <div class="content">
                  <div class="meta">
                    By
                    <a class="author" href="#!"><?=get_author_name();?></a>
                    <a href="#!"><?=get_the_date();?></a>
                  </div>
                  <?=the_content();?>
                  <div class="widget-social-tags">
                    <div class="widget-tags">
                      <ul>
                      	<?php
                      	$tags = get_tags();
                      	foreach ( $tags as $tag ):
                      	?>
                        <li><a href="<?php echo get_tag_link( $tag->term_id ); ?> " rel="tag"><?php echo $tag->name; ?></a></li>
                    	<?php endforeach; ?>
                      </ul>
                    </div>
                    <div class="widget-social-icons">
                      <span>Share On: </span>
                      <a class="facebook" href="#/"><i class="social_facebook"></i></a>
                      <a class="twitter" href="#/"><i class="social_twitter"></i></a>
                      <a class="dribbble" href="#/"><i class="social_dribbble"></i></a>
                      <a class="pinterest" href="#/"><i class="social_pinterest"></i></a>
                    </div>
                  </div>
                </div>
              </div>

              <div class="related-posts">
                <h2 class="title">Related Posts</h2>
                <div class="post-items-slider-four owl-carousel owl-theme">
                  <?php
                  $related = get_posts( array( 'category__in' => wp_get_post_categories($post->ID), 'numberposts' => 4, 'post__not_in' => array($post->ID) ) );
                  if( $related ) foreach( $related as $post ) {
				  setup_postdata($post); ?>
                  <!--== Start Blog Post Item ==-->
                  <div class="post-item">
                    <div class="thumb">
                      <a href="<?php the_permalink() ?>"><?php the_post_thumbnail(); ?></a>
                    </div>
                    <div class="content">
                      <h4 class="title">
                        <a href="<?php the_permalink() ?>"><?php the_title(); ?></a>
                      </h4>
                      <p>
                      	<?php
                        $excerpt = get_excerpt(100);
                        echo $excerpt;
                        ?>
                      </p>
                      <div class="meta bottom">
                        <div>
                          By
                          <a class="author" href="#!">Admin</a>
                          <a href="#!">08 July 2020</a>
                        </div>
                      </div>
                    </div>
                  </div>
                  <!--== End Blog Post Item ==-->
              <?php }
              wp_reset_postdata(); ?>
                </div>
              </div>
            </div>
            <div class="blog-sidebar-widget mt-md-50">
              <!--== Start Sidebar Wrapper ==-->
              <div class="sidebar-wrapper">
                <!--== Start Sidebar Item ==-->
                <div class="widget-item">
                  <div class="widget-search-box">
                    <form action="#" method="post">
                      <div class="form-input-item">
                        <label for="search" class="sr-only">search</label>
                        <input type="text" id="search" placeholder="Search">
                        <button type="submit" class="btn-src">
                          <i class="lnr lnr-magnifier"></i>
                        </button>
                      </div>
                    </form>
                  </div>
                </div>
                <!--== Start Sidebar Item ==-->

                <!--== Start Sidebar Item ==-->
                <div class="widget-item">
                  <h4 class="widget-title">Categories</h4>
                  <div class="widget-categories">
                    <ul>
                      <?php 
                        $categories = get_categories( [
                          'taxonomy'     => 'category',
                          'type'         => 'post',
                          'child_of'     => 0,
                          'parent'       => '',
                          'orderby'      => 'name',
                          'order'        => 'ASC',
                          'hide_empty'   => 1,
                          'hierarchical' => 1,
                          'exclude'      => '',
                          'include'      => '',
                          'number'       => 0,
                          'pad_counts'   => false,
                        ] );

                        if( $categories ) {
                          foreach( $categories as $cat ) {
                        ?>
                        <li><a href="<?php echo get_category_link($cat->term_id); ?>"><i class="arrow_triangle-right"></i> <?php echo $cat->name; ?> <span>(<?=$cat->category_count;?>)</span></a></li>
                          </li>
                      <?php
                          }
                        }
                      ?>
                    </ul>
                  </div>
                </div>
                <!--== End Sidebar Item ==-->

                <!--== Start Sidebar Item ==-->
                <div class="widget-item mb-60">
                  <h4 class="widget-title">Recent Posts</h4>
                  <div class="widget-blog-post">
                    <ul>
                      <?php
                      $recent_posts = wp_get_recent_posts(array(
                          'numberposts' => 4,
                          'post_status' => 'publish'
                      ));
                      foreach($recent_posts as $post):
                      ?>
                      <li>
                        <div class="thumb">
                          <?php echo get_the_post_thumbnail($post['ID'], [70,55]); ?>
                        </div>
                        <div class="content">
                          <a href="<?php echo get_permalink($post['ID']) ?>"><?=$post['post_title']?></a>
                        </div>
                      </li>
                      <?php endforeach; ?>
                    </ul>
                  </div>
                </div>
                <!--== End Sidebar Item ==-->

                <!--== Start Sidebar Item ==-->
                <div class="widget-item mb-60">
                  <h4 class="widget-title">Popular Tags</h4>
                  <div class="widget-tags">
                    <ul>
                      <?php
                      $tags = get_terms(array(
                          'taxonomy' => 'post_tag',
                          'orderby' => 'count',
                          'order' => 'DESC',
                      ));
                      foreach($tags as $tag):
                      ?>
                      <li><a href="<?=get_tag_link($tag->term_id)?>"><?=$tag->name;?></a></li>
                      <?php endforeach; ?>
                    </ul>
                  </div>
                </div>
                <!--== End Sidebar Item ==-->
              </div>
              <!--== End Sidebar Wrapper ==-->
            </div>
          </div>
        </div>
      </div>
    </section>
</main>
<div class="line-hr"></div>
<?php get_footer(); ?>
